import { ISettingRegistry } from '@jupyterlab/settingregistry';
import * as Sentry from "@sentry/browser";
import { BrowserTracing } from "@sentry/tracing";
/**
 * Initialization data for the jupyterlab-sentry extension.
 */
const PLUGIN_ID = 'jupyterlab-sentry:plugin';
const plugin = {
    id: PLUGIN_ID,
    autoStart: true,
    requires: [ISettingRegistry],
    activate: async (app, settingRegistry) => {
        const setting = await settingRegistry.load(PLUGIN_ID);
        Sentry.init({
            dsn: setting.get('dsn').composite,
            integrations: [new BrowserTracing()],
            tracesSampleRate: setting.get('tracesSampleRate').composite,
        });
    }
};
export default plugin;
